Bug 15055 - vfs_gpfs recalls=no option prevents listing files
Summary: vfs_gpfs recalls=no option prevents listing files
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.14.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-27 22:54 UTC by Christof Schmitt
Modified: 2022-05-02 09:48 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.16 (1.49 KB, patch)
2022-04-28 15:55 UTC, Christof Schmitt
slow: review+
Details
Patch for 4.15 (1.49 KB, patch)
2022-04-28 15:59 UTC, Christof Schmitt
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2022-04-27 22:54:38 UTC
The gpfs:recalls=no option should prevent data access to offline files.
With the switch to use pathref handles in many places, this now
also prevents the openat_pathref_fsp during the directory listing.

Patch to follow.
Comment 1 Samba QA Contact 2022-04-28 08:00:04 UTC
This bug was referenced in samba master:

03d0dd2651c9e6552d6c3d9513810e581339ac08
Comment 2 Christof Schmitt 2022-04-28 15:55:02 UTC
Created attachment 17278 [details]
Patch for 4.16
Comment 3 Christof Schmitt 2022-04-28 15:59:41 UTC
Created attachment 17279 [details]
Patch for 4.15
Comment 4 Ralph Böhme 2022-04-29 14:58:57 UTC
Reassigning to Jule for inclusion in 4.15 and 4.16.
Comment 5 Jule Anger 2022-05-02 06:58:33 UTC
Pushed to autobuild-v4-{16,15}-test.
Comment 6 Samba QA Contact 2022-05-02 07:56:06 UTC
This bug was referenced in samba v4-15-test:

aa6022dd2225705684d305a8d5d058e869d366f9
Comment 7 Samba QA Contact 2022-05-02 08:24:07 UTC
This bug was referenced in samba v4-16-test:

09b07aec70265812d4628097b8df3eec68294a16
Comment 8 Jule Anger 2022-05-02 09:43:37 UTC
Closing out bug report.

Thanks!
Comment 9 Samba QA Contact 2022-05-02 09:48:56 UTC
This bug was referenced in samba v4-16-stable (Release samba-4.16.1):

09b07aec70265812d4628097b8df3eec68294a16